USN-6131-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6131-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6131-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6131-1
Related
  • CVE-2023-1380
  • CVE-2023-2612
  • CVE-2023-30456
  • CVE-2023-31436
  • CVE-2023-32233
Published
2023-06-01T18:48:32.574027Z
Modified
2023-06-01T18:48:32.574027Z
Summary
linux, linux-aws, linux-azure, linux-azure-5.4, linux-gcp, linux-gcp-5.4, linux-gke, linux-gkeop, linux-hwe-5.4, linux-ibm, linux-ibm-5.4, linux-kvm, linux-oracle, linux-oracle-5.4 vulnerabilities
Details

Patryk Sondej and Piotr Krysiuk discovered that a race condition existed in the netfilter subsystem of the Linux kernel when processing batch requests, leading to a use-after-free vulnerability. A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2023-32233)

Gwangun Jung discovered that the Quick Fair Queueing scheduler implementation in the Linux kernel contained an out-of-bounds write vulnerability. A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2023-31436)

Reima Ishii discovered that the nested KVM implementation for Intel x86 processors in the Linux kernel did not properly validate control registers in certain situations. An attacker in a guest VM could use this to cause a denial of service (guest crash). (CVE-2023-30456)

It was discovered that the Broadcom FullMAC USB WiFi driver in the Linux kernel did not properly perform data buffer size validation in some situations. A physically proximate attacker could use this to craft a malicious USB device that when inserted, could cause a denial of service (system crash) or possibly expose sensitive information. (CVE-2023-1380)

Jean-Baptiste Cayrou discovered that the shiftfs file system in the Ubuntu Linux kernel contained a race condition when handling inode locking in some situations. A local attacker could use this to cause a denial of service (kernel deadlock). (CVE-2023-2612)

References

Affected packages

Ubuntu:20.04:LTS / linux

Package

Name
linux

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-150.167

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-generic-hwe-18.04": "5.4.0.150.148",
            "linux-headers-oem": "5.4.0.150.148",
            "linux-tools-virtual-hwe-18.04-edge": "5.4.0.150.148",
            "linux-lowlatency-hwe-18.04": "5.4.0.150.148",
            "linux-cloud-tools-virtual": "5.4.0.150.148",
            "linux-tools-generic-lpae-hwe-18.04": "5.4.0.150.148",
            "linux-cloud-tools-lowlatency": "5.4.0.150.148",
            "linux-lowlatency-hwe-18.04-edge": "5.4.0.150.148",
            "linux-tools-5.4.0-150-generic": "5.4.0-150.167",
            "linux-headers-generic-hwe-18.04": "5.4.0.150.148",
            "linux-modules-5.4.0-150-generic": "5.4.0-150.167",
            "linux-generic-lpae-hwe-18.04-edge": "5.4.0.150.148",
            "linux-tools-virtual": "5.4.0.150.148",
            "linux-oem-osp1-tools-host": "5.4.0.150.148",
            "linux-cloud-tools-generic-hwe-18.04": "5.4.0.150.148",
            "linux-generic-lpae-hwe-18.04": "5.4.0.150.148",
            "linux-headers-lowlatency-hwe-18.04-edge": "5.4.0.150.148",
            "linux-cloud-tools-5.4.0-150-lowlatency": "5.4.0-150.167",
            "linux-image-extra-virtual": "5.4.0.150.148",
            "linux-oem": "5.4.0.150.148",
            "linux-source": "5.4.0.150.148",
            "linux-cloud-tools-generic": "5.4.0.150.148",
            "linux-image-virtual": "5.4.0.150.148",
            "linux-image-5.4.0-150-lowlatency": "5.4.0-150.167",
            "linux-tools-generic": "5.4.0.150.148",
            "linux-generic-lpae": "5.4.0.150.148",
            "linux-tools-5.4.0-150-lowlatency": "5.4.0-150.167",
            "linux-virtual": "5.4.0.150.148",
            "linux-cloud-tools-lowlatency-hwe-18.04-edge": "5.4.0.150.148",
            "linux-headers-5.4.0-150-generic": "5.4.0-150.167",
            "linux-image-generic-hwe-18.04-edge": "5.4.0.150.148",
            "linux-image-generic-lpae-hwe-18.04": "5.4.0.150.148",
            "linux-crashdump": "5.4.0.150.148",
            "linux-cloud-tools-lowlatency-hwe-18.04": "5.4.0.150.148",
            "linux-generic": "5.4.0.150.148",
            "linux-headers-lowlatency-hwe-18.04": "5.4.0.150.148",
            "linux-headers-virtual-hwe-18.04-edge": "5.4.0.150.148",
            "linux-cloud-tools-5.4.0-150-generic": "5.4.0-150.167",
            "linux-tools-generic-hwe-18.04-edge": "5.4.0.150.148",
            "linux-generic-hwe-18.04-edge": "5.4.0.150.148",
            "linux-headers-generic-lpae": "5.4.0.150.148",
            "linux-tools-lowlatency-hwe-18.04-edge": "5.4.0.150.148",
            "linux-modules-5.4.0-150-generic-lpae": "5.4.0-150.167",
            "linux-image-generic-lpae": "5.4.0.150.148",
            "linux-tools-lowlatency": "5.4.0.150.148",
            "linux-headers-oem-osp1": "5.4.0.150.148",
            "linux-cloud-tools-common": "5.4.0-150.167",
            "linux-image-5.4.0-150-generic": "5.4.0-150.167",
            "linux-image-lowlatency-hwe-18.04-edge": "5.4.0.150.148",
            "linux-headers-generic-lpae-hwe-18.04": "5.4.0.150.148",
            "linux-libc-dev": "5.4.0-150.167",
            "linux-source-5.4.0": "5.4.0-150.167",
            "linux-cloud-tools-generic-hwe-18.04-edge": "5.4.0.150.148",
            "linux-image-virtual-hwe-18.04-edge": "5.4.0.150.148",
            "linux-doc": "5.4.0-150.167",
            "linux-headers-virtual-hwe-18.04": "5.4.0.150.148",
            "linux-image-5.4.0-150-generic-lpae": "5.4.0-150.167",
            "linux-tools-oem-osp1": "5.4.0.150.148",
            "linux-oem-osp1": "5.4.0.150.148",
            "linux-image-lowlatency-hwe-18.04": "5.4.0.150.148",
            "linux-headers-generic-hwe-18.04-edge": "5.4.0.150.148",
            "linux-image-unsigned-5.4.0-150-lowlatency": "5.4.0-150.167",
            "linux-tools-oem": "5.4.0.150.148",
            "linux-buildinfo-5.4.0-150-lowlatency": "5.4.0-150.167",
            "linux-oem-tools-host": "5.4.0.150.148",
            "linux-tools-generic-lpae-hwe-18.04-edge": "5.4.0.150.148",
            "linux-headers-virtual": "5.4.0.150.148",
            "linux-image-lowlatency": "5.4.0.150.148",
            "linux-virtual-hwe-18.04": "5.4.0.150.148",
            "linux-image-oem": "5.4.0.150.148",
            "linux-cloud-tools-virtual-hwe-18.04-edge": "5.4.0.150.148",
            "linux-buildinfo-5.4.0-150-generic-lpae": "5.4.0-150.167",
            "linux-headers-5.4.0-150-lowlatency": "5.4.0-150.167",
            "linux-tools-host": "5.4.0-150.167",
            "linux-cloud-tools-5.4.0-150": "5.4.0-150.167",
            "linux-headers-lowlatency": "5.4.0.150.148",
            "linux-image-generic-lpae-hwe-18.04-edge": "5.4.0.150.148",
            "linux-modules-5.4.0-150-lowlatency": "5.4.0-150.167",
            "linux-virtual-hwe-18.04-edge": "5.4.0.150.148",
            "linux-modules-extra-5.4.0-150-generic": "5.4.0-150.167",
            "linux-image-generic-hwe-18.04": "5.4.0.150.148",
            "linux-image-unsigned-5.4.0-150-generic": "5.4.0-150.167",
            "linux-cloud-tools-virtual-hwe-18.04": "5.4.0.150.148",
            "linux-image-virtual-hwe-18.04": "5.4.0.150.148",
            "linux-tools-generic-lpae": "5.4.0.150.148",
            "linux-image-oem-osp1": "5.4.0.150.148",
            "linux-image-extra-virtual-hwe-18.04-edge": "5.4.0.150.148",
            "linux-buildinfo-5.4.0-150-generic": "5.4.0-150.167",
            "linux-headers-5.4.0-150-generic-lpae": "5.4.0-150.167",
            "linux-tools-virtual-hwe-18.04": "5.4.0.150.148",
            "linux-headers-generic-lpae-hwe-18.04-edge": "5.4.0.150.148",
            "linux-headers-generic": "5.4.0.150.148",
            "linux-tools-common": "5.4.0-150.167",
            "linux-tools-generic-hwe-18.04": "5.4.0.150.148",
            "linux-lowlatency": "5.4.0.150.148",
            "linux-headers-5.4.0-150": "5.4.0-150.167",
            "linux-tools-5.4.0-150-generic-lpae": "5.4.0-150.167",
            "linux-tools-5.4.0-150": "5.4.0-150.167",
            "linux-tools-lowlatency-hwe-18.04": "5.4.0.150.148",
            "linux-image-generic": "5.4.0.150.148",
            "linux-image-extra-virtual-hwe-18.04": "5.4.0.150.148"
        }
    ]
}

Ubuntu:20.04:LTS / linux-gkeop

Package

Name
linux-gkeop

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1070.74

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-tools-5.4.0-1070-gkeop": "5.4.0-1070.74",
            "linux-gkeop-cloud-tools-5.4.0-1070": "5.4.0-1070.74",
            "linux-gkeop-5.4": "5.4.0.1070.68",
            "linux-modules-5.4.0-1070-gkeop": "5.4.0-1070.74",
            "linux-headers-5.4.0-1070-gkeop": "5.4.0-1070.74",
            "linux-tools-gkeop": "5.4.0.1070.68",
            "linux-cloud-tools-gkeop": "5.4.0.1070.68",
            "linux-gkeop": "5.4.0.1070.68",
            "linux-modules-extra-5.4.0-1070-gkeop": "5.4.0-1070.74",
            "linux-buildinfo-5.4.0-1070-gkeop": "5.4.0-1070.74",
            "linux-headers-gkeop-5.4": "5.4.0.1070.68",
            "linux-gkeop-headers-5.4.0-1070": "5.4.0-1070.74",
            "linux-modules-extra-gkeop": "5.4.0.1070.68",
            "linux-image-gkeop-5.4": "5.4.0.1070.68",
            "linux-image-gkeop": "5.4.0.1070.68",
            "linux-modules-extra-gkeop-5.4": "5.4.0.1070.68",
            "linux-gkeop-source-5.4.0": "5.4.0-1070.74",
            "linux-gkeop-tools-5.4.0-1070": "5.4.0-1070.74",
            "linux-cloud-tools-gkeop-5.4": "5.4.0.1070.68",
            "linux-cloud-tools-5.4.0-1070-gkeop": "5.4.0-1070.74",
            "linux-tools-gkeop-5.4": "5.4.0.1070.68",
            "linux-image-5.4.0-1070-gkeop": "5.4.0-1070.74",
            "linux-image-unsigned-5.4.0-1070-gkeop": "5.4.0-1070.74",
            "linux-headers-gkeop": "5.4.0.1070.68"
        }
    ]
}

Ubuntu:20.04:LTS / linux-gke

Package

Name
linux-gke

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1100.107

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-tools-5.4.0-1100-gke": "5.4.0-1100.107",
            "linux-gke-headers-5.4.0-1100": "5.4.0-1100.107",
            "linux-modules-5.4.0-1100-gke": "5.4.0-1100.107",
            "linux-headers-gke": "5.4.0.1100.105",
            "linux-gke-5.4": "5.4.0.1100.105",
            "linux-tools-gke-5.4": "5.4.0.1100.105",
            "linux-image-5.4.0-1100-gke": "5.4.0-1100.107",
            "linux-gke": "5.4.0.1100.105",
            "linux-headers-5.4.0-1100-gke": "5.4.0-1100.107",
            "linux-headers-gke-5.4": "5.4.0.1100.105",
            "linux-image-unsigned-5.4.0-1100-gke": "5.4.0-1100.107",
            "linux-modules-extra-5.4.0-1100-gke": "5.4.0-1100.107",
            "linux-gke-tools-5.4.0-1100": "5.4.0-1100.107",
            "linux-buildinfo-5.4.0-1100-gke": "5.4.0-1100.107",
            "linux-modules-extra-gke-5.4": "5.4.0.1100.105",
            "linux-modules-extra-gke": "5.4.0.1100.105",
            "linux-tools-gke": "5.4.0.1100.105",
            "linux-image-gke-5.4": "5.4.0.1100.105",
            "linux-image-gke": "5.4.0.1100.105"
        }
    ]
}

Ubuntu:20.04:LTS / linux-kvm

Package

Name
linux-kvm

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1092.98

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-buildinfo-5.4.0-1092-kvm": "5.4.0-1092.98",
            "linux-image-5.4.0-1092-kvm": "5.4.0-1092.98",
            "linux-kvm": "5.4.0.1092.87",
            "linux-headers-kvm": "5.4.0.1092.87",
            "linux-modules-5.4.0-1092-kvm": "5.4.0-1092.98",
            "linux-headers-5.4.0-1092-kvm": "5.4.0-1092.98",
            "linux-image-unsigned-5.4.0-1092-kvm": "5.4.0-1092.98",
            "linux-tools-kvm": "5.4.0.1092.87",
            "linux-tools-5.4.0-1092-kvm": "5.4.0-1092.98",
            "linux-kvm-headers-5.4.0-1092": "5.4.0-1092.98",
            "linux-kvm-tools-5.4.0-1092": "5.4.0-1092.98",
            "linux-image-kvm": "5.4.0.1092.87"
        }
    ]
}

Ubuntu:20.04:LTS / linux-aws

Package

Name
linux-aws

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1103.111

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-tools-5.4.0-1103-aws": "5.4.0-1103.111",
            "linux-modules-5.4.0-1103-aws": "5.4.0-1103.111",
            "linux-image-unsigned-5.4.0-1103-aws": "5.4.0-1103.111",
            "linux-buildinfo-5.4.0-1103-aws": "5.4.0-1103.111",
            "linux-modules-extra-aws-lts-20.04": "5.4.0.1103.100",
            "linux-aws-headers-5.4.0-1103": "5.4.0-1103.111",
            "linux-headers-5.4.0-1103-aws": "5.4.0-1103.111",
            "linux-modules-extra-5.4.0-1103-aws": "5.4.0-1103.111",
            "linux-aws-lts-20.04": "5.4.0.1103.100",
            "linux-tools-aws-lts-20.04": "5.4.0.1103.100",
            "linux-aws-cloud-tools-5.4.0-1103": "5.4.0-1103.111",
            "linux-image-5.4.0-1103-aws": "5.4.0-1103.111",
            "linux-headers-aws-lts-20.04": "5.4.0.1103.100",
            "linux-aws-tools-5.4.0-1103": "5.4.0-1103.111",
            "linux-cloud-tools-5.4.0-1103-aws": "5.4.0-1103.111",
            "linux-image-aws-lts-20.04": "5.4.0.1103.100"
        }
    ]
}

Ubuntu:20.04:LTS / linux-oracle

Package

Name
linux-oracle

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1102.111

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-oracle-tools-5.4.0-1102": "5.4.0-1102.111",
            "linux-modules-extra-5.4.0-1102-oracle": "5.4.0-1102.111",
            "linux-image-oracle-lts-20.04": "5.4.0.1102.95",
            "linux-oracle-lts-20.04": "5.4.0.1102.95",
            "linux-modules-5.4.0-1102-oracle": "5.4.0-1102.111",
            "linux-image-5.4.0-1102-oracle": "5.4.0-1102.111",
            "linux-tools-5.4.0-1102-oracle": "5.4.0-1102.111",
            "linux-headers-oracle-lts-20.04": "5.4.0.1102.95",
            "linux-image-unsigned-5.4.0-1102-oracle": "5.4.0-1102.111",
            "linux-buildinfo-5.4.0-1102-oracle": "5.4.0-1102.111",
            "linux-tools-oracle-lts-20.04": "5.4.0.1102.95",
            "linux-oracle-headers-5.4.0-1102": "5.4.0-1102.111",
            "linux-headers-5.4.0-1102-oracle": "5.4.0-1102.111"
        }
    ]
}

Ubuntu:20.04:LTS / linux-azure

Package

Name
linux-azure

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1109.115

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-modules-5.4.0-1109-azure": "5.4.0-1109.115",
            "linux-modules-extra-5.4.0-1109-azure": "5.4.0-1109.115",
            "linux-tools-azure-lts-20.04": "5.4.0.1109.102",
            "linux-cloud-tools-5.4.0-1109-azure": "5.4.0-1109.115",
            "linux-azure-cloud-tools-5.4.0-1109": "5.4.0-1109.115",
            "linux-tools-5.4.0-1109-azure": "5.4.0-1109.115",
            "linux-azure-tools-5.4.0-1109": "5.4.0-1109.115",
            "linux-modules-extra-azure-lts-20.04": "5.4.0.1109.102",
            "linux-headers-5.4.0-1109-azure": "5.4.0-1109.115",
            "linux-image-5.4.0-1109-azure": "5.4.0-1109.115",
            "linux-image-unsigned-5.4.0-1109-azure": "5.4.0-1109.115",
            "linux-cloud-tools-azure-lts-20.04": "5.4.0.1109.102",
            "linux-image-azure-lts-20.04": "5.4.0.1109.102",
            "linux-headers-azure-lts-20.04": "5.4.0.1109.102",
            "linux-buildinfo-5.4.0-1109-azure": "5.4.0-1109.115",
            "linux-azure-lts-20.04": "5.4.0.1109.102",
            "linux-azure-headers-5.4.0-1109": "5.4.0-1109.115"
        }
    ]
}

Ubuntu:20.04:LTS / linux-gcp

Package

Name
linux-gcp

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1106.115

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-modules-extra-gcp-lts-20.04": "5.4.0.1106.108",
            "linux-modules-5.4.0-1106-gcp": "5.4.0-1106.115",
            "linux-image-gcp-lts-20.04": "5.4.0.1106.108",
            "linux-gcp-tools-5.4.0-1106": "5.4.0-1106.115",
            "linux-tools-gcp-lts-20.04": "5.4.0.1106.108",
            "linux-headers-5.4.0-1106-gcp": "5.4.0-1106.115",
            "linux-gcp-headers-5.4.0-1106": "5.4.0-1106.115",
            "linux-image-5.4.0-1106-gcp": "5.4.0-1106.115",
            "linux-buildinfo-5.4.0-1106-gcp": "5.4.0-1106.115",
            "linux-tools-5.4.0-1106-gcp": "5.4.0-1106.115",
            "linux-headers-gcp-lts-20.04": "5.4.0.1106.108",
            "linux-image-unsigned-5.4.0-1106-gcp": "5.4.0-1106.115",
            "linux-modules-extra-5.4.0-1106-gcp": "5.4.0-1106.115",
            "linux-gcp-lts-20.04": "5.4.0.1106.108"
        }
    ]
}

Ubuntu:20.04:LTS / linux-ibm

Package

Name
linux-ibm

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1050.55

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-headers-ibm-lts-20.04": "5.4.0.1050.76",
            "linux-tools-ibm-lts-20.04": "5.4.0.1050.76",
            "linux-modules-extra-ibm": "5.4.0.1050.76",
            "linux-headers-5.4.0-1050-ibm": "5.4.0-1050.55",
            "linux-modules-extra-5.4.0-1050-ibm": "5.4.0-1050.55",
            "linux-image-5.4.0-1050-ibm": "5.4.0-1050.55",
            "linux-ibm-tools-5.4.0-1050": "5.4.0-1050.55",
            "linux-modules-5.4.0-1050-ibm": "5.4.0-1050.55",
            "linux-ibm-lts-20.04": "5.4.0.1050.76",
            "linux-ibm-headers-5.4.0-1050": "5.4.0-1050.55",
            "linux-ibm-tools-common": "5.4.0-1050.55",
            "linux-tools-ibm": "5.4.0.1050.76",
            "linux-headers-ibm": "5.4.0.1050.76",
            "linux-ibm": "5.4.0.1050.76",
            "linux-modules-extra-ibm-lts-20.04": "5.4.0.1050.76",
            "linux-image-unsigned-5.4.0-1050-ibm": "5.4.0-1050.55",
            "linux-image-ibm-lts-20.04": "5.4.0.1050.76",
            "linux-tools-5.4.0-1050-ibm": "5.4.0-1050.55",
            "linux-buildinfo-5.4.0-1050-ibm": "5.4.0-1050.55",
            "linux-image-ibm": "5.4.0.1050.76",
            "linux-ibm-source-5.4.0": "5.4.0-1050.55",
            "linux-ibm-cloud-tools-common": "5.4.0-1050.55"
        }
    ]
}

Ubuntu:18.04:LTS / linux-hwe-5.4

Package

Name
linux-hwe-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-150.167~18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-headers-snapdragon-hwe-18.04-edge": "5.4.0.150.167~18.04.121",
            "linux-headers-oem": "5.4.0.150.167~18.04.121",
            "linux-tools-virtual-hwe-18.04-edge": "5.4.0.150.167~18.04.121",
            "linux-image-snapdragon-hwe-18.04-edge": "5.4.0.150.167~18.04.121",
            "linux-generic-hwe-18.04": "5.4.0.150.167~18.04.121",
            "linux-lowlatency-hwe-18.04": "5.4.0.150.167~18.04.121",
            "linux-lowlatency-hwe-18.04-edge": "5.4.0.150.167~18.04.121",
            "linux-tools-generic-lpae-hwe-18.04": "5.4.0.150.167~18.04.121",
            "linux-snapdragon-hwe-18.04": "5.4.0.150.167~18.04.121",
            "linux-snapdragon-hwe-18.04-edge": "5.4.0.150.167~18.04.121",
            "linux-tools-5.4.0-150-generic": "5.4.0-150.167~18.04.1",
            "linux-headers-generic-hwe-18.04": "5.4.0.150.167~18.04.121",
            "linux-modules-5.4.0-150-generic": "5.4.0-150.167~18.04.1",
            "linux-generic-lpae-hwe-18.04-edge": "5.4.0.150.167~18.04.121",
            "linux-tools-snapdragon-hwe-18.04-edge": "5.4.0.150.167~18.04.121",
            "linux-generic-lpae-hwe-18.04": "5.4.0.150.167~18.04.121",
            "linux-cloud-tools-generic-hwe-18.04": "5.4.0.150.167~18.04.121",
            "linux-headers-lowlatency-hwe-18.04-edge": "5.4.0.150.167~18.04.121",
            "linux-cloud-tools-5.4.0-150-lowlatency": "5.4.0-150.167~18.04.1",
            "linux-oem": "5.4.0.150.167~18.04.121",
            "linux-image-5.4.0-150-lowlatency": "5.4.0-150.167~18.04.1",
            "linux-tools-5.4.0-150-lowlatency": "5.4.0-150.167~18.04.1",
            "linux-cloud-tools-lowlatency-hwe-18.04-edge": "5.4.0.150.167~18.04.121",
            "linux-hwe-5.4-tools-5.4.0-150": "5.4.0-150.167~18.04.1",
            "linux-hwe-5.4-cloud-tools-5.4.0-150": "5.4.0-150.167~18.04.1",
            "linux-hwe-5.4-cloud-tools-common": "5.4.0-150.167~18.04.1",
            "linux-headers-5.4.0-150-generic": "5.4.0-150.167~18.04.1",
            "linux-image-generic-hwe-18.04-edge": "5.4.0.150.167~18.04.121",
            "linux-image-generic-lpae-hwe-18.04": "5.4.0.150.167~18.04.121",
            "linux-cloud-tools-lowlatency-hwe-18.04": "5.4.0.150.167~18.04.121",
            "linux-headers-lowlatency-hwe-18.04": "5.4.0.150.167~18.04.121",
            "linux-headers-virtual-hwe-18.04-edge": "5.4.0.150.167~18.04.121",
            "linux-cloud-tools-5.4.0-150-generic": "5.4.0-150.167~18.04.1",
            "linux-tools-generic-hwe-18.04-edge": "5.4.0.150.167~18.04.121",
            "linux-modules-extra-virtual-hwe-18.04": "5.4.0.150.167~18.04.121",
            "linux-generic-hwe-18.04-edge": "5.4.0.150.167~18.04.121",
            "linux-tools-lowlatency-hwe-18.04-edge": "5.4.0.150.167~18.04.121",
            "linux-modules-5.4.0-150-generic-lpae": "5.4.0-150.167~18.04.1",
            "linux-headers-snapdragon-hwe-18.04": "5.4.0.150.167~18.04.121",
            "linux-headers-oem-osp1": "5.4.0.150.167~18.04.121",
            "linux-image-5.4.0-150-generic": "5.4.0-150.167~18.04.1",
            "linux-headers-generic-hwe-18.04-edge": "5.4.0.150.167~18.04.121",
            "linux-image-lowlatency-hwe-18.04": "5.4.0.150.167~18.04.121",
            "linux-hwe-5.4-source-5.4.0": "5.4.0-150.167~18.04.1",
            "linux-headers-generic-lpae-hwe-18.04": "5.4.0.150.167~18.04.121",
            "linux-image-virtual-hwe-18.04-edge": "5.4.0.150.167~18.04.121",
            "linux-cloud-tools-generic-hwe-18.04-edge": "5.4.0.150.167~18.04.121",
            "linux-image-lowlatency-hwe-18.04-edge": "5.4.0.150.167~18.04.121",
            "linux-headers-virtual-hwe-18.04": "5.4.0.150.167~18.04.121",
            "linux-image-5.4.0-150-generic-lpae": "5.4.0-150.167~18.04.1",
            "linux-tools-oem-osp1": "5.4.0.150.167~18.04.121",
            "linux-modules-extra-virtual-hwe-18.04-edge": "5.4.0.150.167~18.04.121",
            "linux-oem-osp1": "5.4.0.150.167~18.04.121",
            "linux-image-unsigned-5.4.0-150-lowlatency": "5.4.0-150.167~18.04.1",
            "linux-tools-oem": "5.4.0.150.167~18.04.121",
            "linux-buildinfo-5.4.0-150-lowlatency": "5.4.0-150.167~18.04.1",
            "linux-tools-generic-lpae-hwe-18.04-edge": "5.4.0.150.167~18.04.121",
            "linux-hwe-5.4-tools-common": "5.4.0-150.167~18.04.1",
            "linux-virtual-hwe-18.04": "5.4.0.150.167~18.04.121",
            "linux-image-oem": "5.4.0.150.167~18.04.121",
            "linux-cloud-tools-virtual-hwe-18.04-edge": "5.4.0.150.167~18.04.121",
            "linux-buildinfo-5.4.0-150-generic-lpae": "5.4.0-150.167~18.04.1",
            "linux-headers-5.4.0-150-lowlatency": "5.4.0-150.167~18.04.1",
            "linux-image-generic-lpae-hwe-18.04-edge": "5.4.0.150.167~18.04.121",
            "linux-modules-5.4.0-150-lowlatency": "5.4.0-150.167~18.04.1",
            "linux-virtual-hwe-18.04-edge": "5.4.0.150.167~18.04.121",
            "linux-modules-extra-5.4.0-150-generic": "5.4.0-150.167~18.04.1",
            "linux-image-generic-hwe-18.04": "5.4.0.150.167~18.04.121",
            "linux-image-unsigned-5.4.0-150-generic": "5.4.0-150.167~18.04.1",
            "linux-cloud-tools-virtual-hwe-18.04": "5.4.0.150.167~18.04.121",
            "linux-image-virtual-hwe-18.04": "5.4.0.150.167~18.04.121",
            "linux-hwe-5.4-headers-5.4.0-150": "5.4.0-150.167~18.04.1",
            "linux-image-extra-virtual-hwe-18.04-edge": "5.4.0.150.167~18.04.121",
            "linux-image-oem-osp1": "5.4.0.150.167~18.04.121",
            "linux-buildinfo-5.4.0-150-generic": "5.4.0-150.167~18.04.1",
            "linux-headers-5.4.0-150-generic-lpae": "5.4.0-150.167~18.04.1",
            "linux-image-snapdragon-hwe-18.04": "5.4.0.150.167~18.04.121",
            "linux-headers-generic-lpae-hwe-18.04-edge": "5.4.0.150.167~18.04.121",
            "linux-tools-virtual-hwe-18.04": "5.4.0.150.167~18.04.121",
            "linux-tools-snapdragon-hwe-18.04": "5.4.0.150.167~18.04.121",
            "linux-tools-generic-hwe-18.04": "5.4.0.150.167~18.04.121",
            "linux-tools-5.4.0-150-generic-lpae": "5.4.0-150.167~18.04.1",
            "linux-tools-lowlatency-hwe-18.04": "5.4.0.150.167~18.04.121",
            "linux-image-extra-virtual-hwe-18.04": "5.4.0.150.167~18.04.121"
        }
    ]
}

Ubuntu:18.04:LTS / linux-oracle-5.4

Package

Name
linux-oracle-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1102.111~18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-modules-5.4.0-1102-oracle": "5.4.0-1102.111~18.04.1",
            "linux-oracle-edge": "5.4.0.1102.111~18.04.74",
            "linux-signed-oracle-edge": "5.4.0.1102.111~18.04.74",
            "linux-image-unsigned-5.4.0-1102-oracle": "5.4.0-1102.111~18.04.1",
            "linux-buildinfo-5.4.0-1102-oracle": "5.4.0-1102.111~18.04.1",
            "linux-oracle-5.4-tools-5.4.0-1102": "5.4.0-1102.111~18.04.1",
            "linux-oracle-5.4-headers-5.4.0-1102": "5.4.0-1102.111~18.04.1",
            "linux-tools-oracle-edge": "5.4.0.1102.111~18.04.74",
            "linux-signed-image-oracle": "5.4.0.1102.111~18.04.74",
            "linux-modules-extra-5.4.0-1102-oracle": "5.4.0-1102.111~18.04.1",
            "linux-signed-oracle": "5.4.0.1102.111~18.04.74",
            "linux-oracle": "5.4.0.1102.111~18.04.74",
            "linux-headers-5.4.0-1102-oracle": "5.4.0-1102.111~18.04.1",
            "linux-image-5.4.0-1102-oracle": "5.4.0-1102.111~18.04.1",
            "linux-tools-5.4.0-1102-oracle": "5.4.0-1102.111~18.04.1",
            "linux-headers-oracle": "5.4.0.1102.111~18.04.74",
            "linux-modules-extra-oracle": "5.4.0.1102.111~18.04.74",
            "linux-image-oracle-edge": "5.4.0.1102.111~18.04.74",
            "linux-signed-image-oracle-edge": "5.4.0.1102.111~18.04.74",
            "linux-headers-oracle-edge": "5.4.0.1102.111~18.04.74",
            "linux-tools-oracle": "5.4.0.1102.111~18.04.74",
            "linux-image-oracle": "5.4.0.1102.111~18.04.74",
            "linux-modules-extra-oracle-edge": "5.4.0.1102.111~18.04.74"
        }
    ]
}

Ubuntu:18.04:LTS / linux-ibm-5.4

Package

Name
linux-ibm-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1050.55~18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-tools-ibm-edge": "5.4.0.1050.61",
            "linux-ibm-5.4-headers-5.4.0-1050": "5.4.0-1050.55~18.04.1",
            "linux-modules-extra-ibm": "5.4.0.1050.61",
            "linux-headers-5.4.0-1050-ibm": "5.4.0-1050.55~18.04.1",
            "linux-image-5.4.0-1050-ibm": "5.4.0-1050.55~18.04.1",
            "linux-modules-extra-5.4.0-1050-ibm": "5.4.0-1050.55~18.04.1",
            "linux-headers-ibm-edge": "5.4.0.1050.61",
            "linux-ibm-5.4-tools-5.4.0-1050": "5.4.0-1050.55~18.04.1",
            "linux-modules-5.4.0-1050-ibm": "5.4.0-1050.55~18.04.1",
            "linux-ibm-5.4-tools-common": "5.4.0-1050.55~18.04.1",
            "linux-modules-extra-ibm-edge": "5.4.0.1050.61",
            "linux-image-unsigned-5.4.0-1050-ibm": "5.4.0-1050.55~18.04.1",
            "linux-tools-ibm": "5.4.0.1050.61",
            "linux-ibm-edge": "5.4.0.1050.61",
            "linux-headers-ibm": "5.4.0.1050.61",
            "linux-ibm": "5.4.0.1050.61",
            "linux-ibm-5.4-cloud-tools-common": "5.4.0-1050.55~18.04.1",
            "linux-image-ibm-edge": "5.4.0.1050.61",
            "linux-tools-5.4.0-1050-ibm": "5.4.0-1050.55~18.04.1",
            "linux-buildinfo-5.4.0-1050-ibm": "5.4.0-1050.55~18.04.1",
            "linux-image-ibm": "5.4.0.1050.61",
            "linux-ibm-5.4-source-5.4.0": "5.4.0-1050.55~18.04.1"
        }
    ]
}

Ubuntu:18.04:LTS / linux-gcp-5.4

Package

Name
linux-gcp-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1106.115~18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-tools-gcp": "5.4.0.1106.82",
            "linux-modules-5.4.0-1106-gcp": "5.4.0-1106.115~18.04.1",
            "linux-gcp-5.4-headers-5.4.0-1106": "5.4.0-1106.115~18.04.1",
            "linux-gcp": "5.4.0.1106.82",
            "linux-headers-gcp-edge": "5.4.0.1106.82",
            "linux-tools-gcp-edge": "5.4.0.1106.82",
            "linux-image-gcp-edge": "5.4.0.1106.82",
            "linux-image-gcp": "5.4.0.1106.82",
            "linux-headers-gcp": "5.4.0.1106.82",
            "linux-modules-extra-gcp": "5.4.0.1106.82",
            "linux-gcp-edge": "5.4.0.1106.82",
            "linux-headers-5.4.0-1106-gcp": "5.4.0-1106.115~18.04.1",
            "linux-buildinfo-5.4.0-1106-gcp": "5.4.0-1106.115~18.04.1",
            "linux-image-5.4.0-1106-gcp": "5.4.0-1106.115~18.04.1",
            "linux-tools-5.4.0-1106-gcp": "5.4.0-1106.115~18.04.1",
            "linux-gcp-5.4-tools-5.4.0-1106": "5.4.0-1106.115~18.04.1",
            "linux-modules-extra-gcp-edge": "5.4.0.1106.82",
            "linux-image-unsigned-5.4.0-1106-gcp": "5.4.0-1106.115~18.04.1",
            "linux-modules-extra-5.4.0-1106-gcp": "5.4.0-1106.115~18.04.1"
        }
    ]
}

Ubuntu:18.04:LTS / linux-azure-5.4

Package

Name
linux-azure-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1109.115~18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-modules-extra-azure": "5.4.0.1109.82",
            "linux-signed-image-azure": "5.4.0.1109.82",
            "linux-tools-5.4.0-1109-azure": "5.4.0-1109.115~18.04.1",
            "linux-modules-extra-5.4.0-1109-azure": "5.4.0-1109.115~18.04.1",
            "linux-image-5.4.0-1109-azure": "5.4.0-1109.115~18.04.1",
            "linux-headers-5.4.0-1109-azure": "5.4.0-1109.115~18.04.1",
            "linux-cloud-tools-5.4.0-1109-azure": "5.4.0-1109.115~18.04.1",
            "linux-azure": "5.4.0.1109.82",
            "linux-signed-azure": "5.4.0.1109.82",
            "linux-modules-5.4.0-1109-azure": "5.4.0-1109.115~18.04.1",
            "linux-azure-edge": "5.4.0.1109.82",
            "linux-headers-azure-edge": "5.4.0.1109.82",
            "linux-image-unsigned-5.4.0-1109-azure": "5.4.0-1109.115~18.04.1",
            "linux-headers-azure": "5.4.0.1109.82",
            "linux-tools-azure-edge": "5.4.0.1109.82",
            "linux-cloud-tools-azure": "5.4.0.1109.82",
            "linux-tools-azure": "5.4.0.1109.82",
            "linux-azure-5.4-headers-5.4.0-1109": "5.4.0-1109.115~18.04.1",
            "linux-cloud-tools-azure-edge": "5.4.0.1109.82",
            "linux-azure-5.4-tools-5.4.0-1109": "5.4.0-1109.115~18.04.1",
            "linux-buildinfo-5.4.0-1109-azure": "5.4.0-1109.115~18.04.1",
            "linux-image-azure": "5.4.0.1109.82",
            "linux-image-azure-edge": "5.4.0.1109.82",
            "linux-signed-azure-edge": "5.4.0.1109.82",
            "linux-signed-image-azure-edge": "5.4.0.1109.82",
            "linux-azure-5.4-cloud-tools-5.4.0-1109": "5.4.0-1109.115~18.04.1",
            "linux-modules-extra-azure-edge": "5.4.0.1109.82"
        }
    ]
}